#include <stdio.h>
#include <stdlib.h>

#define ROMSIZE	128*1024
#define NROMS	4

char roms[NROMS][ROMSIZE];


int main(int argc, char *argv[])
{
  FILE *fp[NROMS], *ofp;
  char name[12];
  int i, n;
  if (argc < 2) {
	printf("Usage: %s <base_name>\n", argv[0]);
	exit(1);
  }
  for (n=0; n < NROMS; n++) {
	sprintf(name, "%s.%d", argv[1], n);
        fp[n] = fopen(name, "rb");
  }
  sprintf(name, "%s.bin", argv[1]);
  ofp = fopen(name, "wb");

  for (n = 0; n < NROMS; n++)
    fread(roms[n], ROMSIZE, 1, fp[n]);

  for (i=0; i<ROMSIZE; i++) 
    for (n=0; n<NROMS; n++)
	fputc(roms[n][i], ofp);

  fclose(ofp);
}

